Remove Gentoo copyright from all files that I know I have written

This commit is contained in:
Roy Marples 2007-12-14 14:12:38 +00:00
parent a3db3bac62
commit 9f2403dffa
105 changed files with 136 additions and 449 deletions

27
HACKING
View File

@ -1,27 +0,0 @@
------------
QEMU NOTES
------------
Since the qemu docs blow, I'll make some quick notes here for how to get a
system running for baselayout testing.
- create rootfs (feel free to tweak 500M):
$ dd if=/dev/zero of=root.img bs=1M count=500M
$ mke2fs -F -j root.img
- install Gentoo stage3:
$ mkdir loop
$ mount -o loop root.img loop
$ sudo tar pjxf stage3-x86.tar.bz2 -C loop
$ sudo chroot loop
<all you really need to configure is like /etc/fstab>
/dev/hda / ext3 noatime 0 1
$ umount loop
- create an x86 kernel from a vanilla tarball:
- make sure you enable serial console support
- you shouldn't need any modifications, just grab a recent vanilla
- run qemu:
$ qemu \
-hda root.img \
-append "root=/dev/hda console=ttyS0" \
-kernel your-compiled-vmlinux \
-nographic

View File

@ -1,5 +1,5 @@
# Open Run Control Makefile
# Copyright 2006-2007 Gentoo Foundation
# OpenRC Makefile
# Copyright 2007 Roy Marples
# Distributed under the terms of the GNU General Public License v2
NAME = openrc

View File

@ -1,7 +1,3 @@
# BSD NOTE: Network functionality support is still being written and
# many parts here are missing compared to Gentoo/Linux
# Feel free to write the needed modules and submit them to us :)
#
##############################################################################
# QUICK-START
#

18
conf.d/local Normal file
View File

@ -0,0 +1,18 @@
# Here is where you can put anything you need to start
# that there is not an init script for.
local_start() {
# This is a good place to load any misc programs
# on startup (use &>/dev/null to hide output)
# We should always return 0
return 0
}
local_stop() {
# This is a good place to unload any misc.
# programs you started above.
# We should always return 0
return 0
}

View File

@ -1,5 +0,0 @@
# /etc/conf.d/local.start
# This is a good place to load any misc programs
# on startup (use &>/dev/null to hide output)

View File

@ -1,8 +0,0 @@
# /etc/conf.d/local.stop
# This is a good place to unload any misc.
# programs you started above.
# For example, if you are using OSS and have
# "/usr/local/bin/soundon" above, put
# "/usr/local/bin/soundoff" here.

View File

@ -1,5 +1,4 @@
#!/bin/sh
# Copyright 2006-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/bin/sh
# Copyright 2006-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -34,6 +33,15 @@ clock_adjfile=${clock_adjfile:-${CLOCK_ADJFILE}}
clock_args=${clock_args:-${CLOCK_OPTS}}
clock_systohc=${clock_systohc:-${CLOCK_SYSTOHC}}
clock=${clock:-${CLOCK:-UTC}}
if [ "${clock}" = "UTC" ]; then
utc="UTC"
utc_cmd="--utc"
else
utc="Local Time"
utc_cmd="--localtime"
fi
depend() {
if yesno ${clock_adjfile}; then
use checkroot
@ -46,49 +54,46 @@ setupopts() {
utc=
case "${RC_SYS}" in
UML|VPS|XEN)
TBLURB="${RC_SYS}"
utc="${RC_SYS}"
;;
*)
case "$(uname -m)" in
s390*)
TBLURB="s390"
utc="s390"
;;
*)
if [ -e /proc/devices ] && grep -q " cobd$" /proc/devices; then
TBLURB="coLinux"
elif [ "${CLOCK}" = "UTC" ]; then
utc="--utc"
TBLURB="UTC"
else
utc="--localtime"
TBLURB="Local Time"
utc="coLinux"
fi
;;
esac
;;
esac
[ -n "${utc}" ] || return 0
case "${utc}" in
UTC|Local" "Time);;
*) unset utc_cmd;;
esac
}
start() {
local utc= TBLURB= errstr="" retval=0
local retval=0 errstr=""
setupopts
ebegin "Setting system clock using the hardware clock [${TBLURB}]"
if [ -n "${utc}" ]; then
ebegin "Setting system clock using the hardware clock [${utc}]"
if [ -n "${utc_cmd}" ]; then
if [ -e /proc/modules -a ! -e /dev/rtc ]; then
modprobe -q rtc || modprobe -q genrtc
fi
# Since hwclock always exit's with a 0, need to check its output.
if [ -e /etc/adjtime ] && yesno ${clock_adjfile}; then
errstr="$(hwclock --adjust ${utc} 2>&1 >/dev/null)"
errstr="$(hwclock --adjust ${utc_cmd} 2>&1 >/dev/null)"
fi
# If setting UTC, don't bother to run hwclock when first booting
# as that's the default
if [ "${PREVLEVEL}" != "N" -o "${utc}" != "--utc" -o -n "${clock_args}" ]; then
errstr="${errstr}$(hwclock --hctosys ${utc} ${clock_args} 2>&1 >/dev/null)"
if [ "${PREVLEVEL}" != "N" -o "${utc_cmd}" != "--utc" -o -n "${clock_args}" ]; then
errstr="${errstr}$(hwclock --hctosys ${utc_cmd} ${clock_args} 2>&1 >/dev/null)"
fi
fi
if [ -n "${errstr}" ]; then
@ -106,19 +111,18 @@ stop() {
[ -n "${CDBOOT}" ] && return 0
yesno ${clock_systohc} || return 0
local utc= TBLURB= errstr="" retval=0
local retval=0 errstr=""
setupopts
ebegin "Setting hardware clock using the system clock" "[${TBLURB}]"
if [ -n "${utc}" ]; then
ebegin "Setting hardware clock using the system clock" "[${utc}]"
if [ -n "${utc_cmd}" ]; then
if ! yesno "${clock_adjfile}"; then
# Some implementations don't handle adjustments
if LC_ALL=C hwclock --help | grep -q "\-\-noadjfile"; then
utc="${utc} --noadjfile"
utc_cmd="${utc_cmd} --noadjfile"
fi
fi
errstr="$(LC_ALL=C hwclock --systohc ${utc} ${clock_args} 2>&1 >/dev/null)"
errstr="$(LC_ALL=C hwclock --systohc ${utc_cmd} ${clock_args} 2>&1 >/dev/null)"
fi
if [ -n "${errstr}" ]; then
ewarn "${errstr}"
@ -134,9 +138,8 @@ save() {
}
show() {
local utc= TBLURB=
setupopts
/sbin/hwclock --show "${utc}" ${clock_args}
hwclock --show "${utc_cmd}" ${clock_args}
}
# vim: set ts=4 :

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -52,12 +51,12 @@ start() {
fi
if [ "${ttyn}" = 0 ]; then
ebegin "Skipping font setup (rc_tty_number == 0); you should disable this init.d"
ebegin "Skipping font setup (rc_tty_number == 0)"
eend 0
return 0
fi
local x= param= sf_param= retval=1
local x= param= sf_param= retval=1 ttydev=
# Get additional parameters
if [ -n "${consoletranslation}" ]; then
@ -68,40 +67,18 @@ start() {
fi
# Set the console font
local errmsg=
ebegin "Setting user font"
if [ -x /bin/setfont ]; then
# We patched setfont to have --tty support ...
if [ -n "$(setfont --help 2>&1 | grep -e '--tty')" ] || \
[ -n "$(setfont --help 2>&1 | grep -e '-C')" ]
then
if [ -n "$(setfont --help 2>&1 | grep -e '--tty')" ]; then
sf_param="--tty="
else
sf_param="-C "
fi
local ttydev=
[ -d /dev/vc ] \
&& ttydev=/dev/vc/ \
|| ttydev=/dev/tty
[ -d /dev/vc ] \
&& ttydev=/dev/vc/ \
|| ttydev=/dev/tty
x=1
while [ ${x} -le ${ttyn} ]; do
/bin/setfont ${consolefont} ${param} \
${sf_param}/${ttydev}${x} > /dev/null
retval=$?
x=$((${x} + 1))
done
else
/bin/setfont ${consolefont} ${param} > /dev/null
retval=$?
fi
errmsg="Failed to set user font"
else
retval=1
errmsg="/bin/setfont not found"
fi
eend ${retval} "${errmsg}"
x=1
while [ ${x} -le ${ttyn} ]; do
setfont ${consolefont} ${param}-C ${ttydev}${x} >/dev/null
retval=$((${retval} + $?))
x=$((${x} + 1))
done
eend ${retval}
# Store the last font so we can use it ASAP on boot
if [ ${retval} -eq 0 -a -w "${RC_LIBDIR}" ]; then
@ -111,7 +88,7 @@ start() {
cp "${font}" "${RC_LIBDIR}"/console
echo "$(basename "${font}")" > "${RC_LIBDIR}"/console/font
if yesno ${unicode:-${UNICODE}}; then
printf "" > "${RC_LIBDIR}"/console/unicode
cp /dev/null "${RC_LIBDIR}"/console/unicode
else
rm -f "${RC_LIBDIR}"/console/unicode
fi

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -74,18 +73,13 @@ start() {
fi
ebegin "Loading key mappings"
if [ -x /bin/loadkeys ]; then
yesno ${windowskeys} && wkeys="windowkeys"
loadkeys -q ${loadkeys_uni} ${wkeys} ${keymap} ${extended_keymaps}
eend $? "Error loading key mappings"
yesno ${windowskeys} && wkeys="windowkeys"
loadkeys -q ${loadkeys_uni} ${wkeys} ${keymap} ${extended_keymaps}
eend $? "Error loading key mappings" || return $?
if yesno ${fix_euro}; then
# Fix some fonts displaying the Euro, #173528.
echo "altgr keycode 18 = U+20AC" | loadkeys -q
fi
else
eend 1 "/bin/loadkeys not found"
return 1
if yesno ${fix_euro}; then
# Fix some fonts displaying the Euro, #173528.
echo "altgr keycode 18 = U+20AC" | loadkeys -q
fi
# Set terminal encoding to either ASCII or UNICODE.

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -70,13 +69,6 @@ cleanup_tmp_dir() {
}
start() {
# Put a nologin file in /etc to prevent people from logging
# in before system startup is complete.
if yesno ${delay_login:-${DELAYLOGIN}}; then
echo "System bootup in progress - please wait" > /etc/nologin
cp /etc/nologin /etc/nologin.boot
fi
if ! mkdir /.test.$$ 2>/dev/null; then
ewarn "Skipping /var and /tmp initialization (ro root?)"
return 0
@ -94,8 +86,8 @@ start() {
done
ebegin "Creating user login records"
printf "" >/var/run/utmp
[ -e /var/log/wtmp ] || printf "" >/var/log/wtmp
cp /dev/null /var/run/utmp
[ -e /var/log/wtmp ] || cp /dev/null /var/log/wtmp
chmod 0644 /var/run/utmp /var/log/wtmp
eend 0
@ -134,9 +126,6 @@ start() {
dmesg > /var/log/dmesg
chmod 640 /var/log/dmesg
fi
# Check for /etc/resolv.conf, and create if missing
[ -e /etc/resolv.conf ] || printf "" >/etc/resolv.conf
}
stop() {

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -37,17 +36,15 @@ do_checkfs() {
local retval=0 mode="-p" opts= parts=
ebegin "Checking all filesystems"
if [ -e /forcefsck ] || get_bootparam "forcefsck"; then
ewarn "A full fsck has been forced"
mode="-f -n"
fi
if [ "${RC_UNAME}" = "Linux" ]; then
opts="-A -C0 -R -T"
else
parts="$(fstabinfo --passno ">1")"
[ -z "${parts}" ] && return 0
if [ -z "${parts}" ]; then
eend 0
return 0
fi
fi
fsck ${opts} ${mode} ${parts}
@ -77,8 +74,6 @@ do_checkfs() {
fi
fi
[ ${retval} = 0 -a -e /forcefsck ] && rm /forcefsck
return ${retval}
}
@ -89,7 +84,7 @@ start() {
stop() {
# fsck on shutdown if we need to
if yesno "${fsck_shutdown:-${FSCK_SHUTDOWN}}"; then
[ ! -f /forcefsck ] && do_checkfs
do_checkfs
fi
return 0
}

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -33,8 +32,8 @@ depend() {
do_mtab() {
# Don't create mtab if /etc is readonly
if ! printf "" 2>/dev/null >/etc/mtab; then
ewarn "Skipping /etc/mtab initialization (ro root?)"
if ! cp /dev/null >/etc/mtab 2>/dev/null; then
ewarn "Skipping /etc/mtab initialization (ro root)"
return 0
fi
ebegin "Updating /etc/mtab"
@ -75,23 +74,15 @@ do_fsck() {
root=$(fstabinfo --blockdevice /)
[ ! -e "${root}" -a -e /dev/root ] && root=/dev/root
if [ -e /forcefsck ] || get_bootparam "forcefsck"; then
ebegin "Checking root filesystem (full fsck forced)"
fsck ${opts} -f -n "${root}"
# /forcefsck isn't deleted because checkfs needs it.
# it'll be deleted in that script.
# Obey the fs_passno setting for / (see fstab(5))
local pass=$(fstabinfo --passno /)
if [ ${pass:-0} != "0" ]; then
ebegin "Checking root filesystem"
fsck ${opts} -p "${root}"
retval=$?
else
# Obey the fs_passno setting for / (see fstab(5))
local pass=$(fstabinfo --passno /)
if [ ${pass:-0} != "0" ]; then
ebegin "Checking root filesystem"
fsck ${opts} -p "${root}"
retval=$?
else
ebegin "Skipping root filesystem check" "(fstab's passno == 0)"
retval=0
fi
ebegin "Skipping root filesystem check (fstab's passno == 0)"
retval=0
fi
if [ ${retval} -eq 0 ]; then

View File

@ -1,5 +1,4 @@
#!/bin/sh
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -109,22 +108,6 @@ if [ "${RC_UNAME}" = "Linux" ]; then
unmounted=$?
fi
# This UPS code should be moved to out of here and to an addon
if [ -f /etc/killpower ]; then
UPS_CTL=/sbin/upsdrvctl
UPS_POWERDOWN="${UPS_CTL} shutdown"
elif [ -f /etc/apcupsd/powerfail ]; then
UPS_CTL=/etc/apcupsd/apccontrol
UPS_POWERDOWN="${UPS_CTL} killpower"
fi
if [ -x "${UPS_CTL}" ]; then
ewarn "Signalling ups driver(s) to kill the load!"
${UPS_POWERDOWN}
ewarn "Halt system and wait for the UPS to kill our power"
halt -id
sleep 60
fi
if [ ${unmounted} -ne 0 ]; then
[ -x /sbin/sulogin ] && sulogin -t 10 /dev/console
exit 1

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -24,8 +23,7 @@
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
description="Executes user command in /etc/conf.d/local.start when starting \
and /etc/conf.d/local.stop when stopping."
description="Executes user commands in /etc/conf.d/local"
depend() {
after *
@ -35,8 +33,11 @@ depend() {
start() {
ebegin "Starting local"
# Add any misc programs that should be started
# to /etc/conf.d/local.start
if type local_start >/dev/null 2>&1; then
local_start
fi
# Support old configs
if [ -e /etc/conf.d/local.start ]; then
. /etc/conf.d/local.start
fi
@ -47,8 +48,11 @@ start() {
stop() {
ebegin "Stopping local"
# Add any misc programs that should be stopped
# to /etc/conf.d/local.stop
if type local_start >/dev/null 2>&1; then
local_stop
fi
# Support old configs
if [ -e /etc/conf.d/local.stop ]; then
. /etc/conf.d/local.stop
fi

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -27,11 +26,12 @@
description="Mounts network shares according to /etc/fstab."
need_portmap() {
local mnt opts ret IFS="
local opts=
local IFS="
"
set -- $(fstabinfo --fstype nfs,nfs4)
for mnt; do
case ,$(fstabinfo --options "${mnt}"), in
set -- $(fstabinfo --options --fstype nfs,nfs4)
for opts; do
case ,${opts}, in
*,noauto,*|*,nolock,*);;
*) return 0;;
esac
@ -79,7 +79,7 @@ start() {
ebegin "Mounting network filesystems"
mount -at ${fs}
ewend $? "Could not mount all network filesystems!"
ewend $? "Could not mount all network filesystems"
return 0
}

View File

@ -1,40 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
description="Removes a file which blocks logins until this service has run."
depend() {
need localmount
after bootmisc net
}
start() {
if [ -f /etc/nologin.boot ]; then
rm -f /etc/nologin /etc/nologin.boot
fi
}
# vim: set ts=4 :

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -58,8 +57,6 @@ start() {
stop() {
ebegin "Saving random seed"
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
save_seed
eend $? "Failed to save random seed"
}

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2006-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2005-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2005-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -36,10 +35,10 @@ dhclient_start() {
local sendhost=true dconf=
# Get our options
# These options only work in Gentoo, and maybe RedHat
eval opts=\$dhcp_${IFVAR}
[ -z "${opts}" ] && opts=${dhcp}
# Map some generic options to dhcpcd
for opt in ${opts}; do
case "${opt}" in
nodns) args="${args} -e PEER_DNS=no";;

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -46,9 +45,10 @@ macchanger_pre_start() {
_down
mac=$(echo "${mac}" | tr '[:upper:]' '[:lower:]')
local hex="[0-9a-f][0-9a-f]"
case "${mac}" in
# specific mac-addr, i wish there were a shorter way to specify this
[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f])
# specific mac-addr
${hex}:${hex}:${hex}:${hex}:${hex}:${hex})
# We don't need macchanger to change to a specific mac address
_set_mac_address "${mac}"
if eend "$?"; then

View File

@ -1,4 +1,3 @@
# Copyright 2005-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2005-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved
@ -89,9 +88,6 @@ _system_ntp() {
buffer="${buffer}server ${x}\n"
done
buffer="${buffer}driftfile /var/lib/ntp/ntp.drift\n"
buffer="${buffer}logfile /var/log/ntp.log\n"
printf "${buffer}" > /etc/ntp.conf
chmod 644 /etc/ntp.conf
}

View File

@ -1,4 +1,3 @@
# Copyright 2004-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/bin/sh
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/bin/sh
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -109,6 +109,24 @@ get_KV() {
return $?
}
KV_to_int() {
[ -z $1 ] && return 1
local x=${1%%-*}
local KV_MAJOR=${x%%.*}
x=${x#*.}
local KV_MINOR=${x%%.*}
x=${x#*.}
local KV_MICRO=${x%%.*}
local KV_int=$((${KV_MAJOR} * 65536 + ${KV_MINOR} * 256 + ${KV_MICRO} ))
# We make version 2.2.0 the minimum version we will handle as
# a sanity check ... if its less, we fail ...
[ "${KV_int}" -lt 131584 ] && return 1
echo "${KV_int}"
}
. /etc/init.d/functions.sh
. "${RC_LIBDIR}"/sh/init-functions.sh
. "${RC_LIBDIR}"/sh/rc-functions.sh

View File

@ -1,4 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Allow any sh script to work with einfo functions and friends
# We also provide a few helpful functions for other programs to use
# Copyright 2007 Roy Marples
# All rights reserved
@ -37,70 +39,6 @@ eoutdent() {
return 0
}
# Safer way to list the contents of a directory,
# as it do not have the "empty dir bug".
#
# char *dolisting(param)
#
# print a list of the directory contents
#
# NOTE: quote the params if they contain globs.
# also, error checking is not that extensive ...
#
dolisting() {
local x= y= mylist= mypath="$*"
# Here we use file globbing instead of ls to save on forking
for x in ${mypath}; do
[ ! -e "${x}" ] && continue
if [ -L "${x}" -o -f "${x}" ]; then
mylist="${mylist} "${x}
elif [ -d "${x}" ]; then
[ "${x%/}" != "${x}" ] && x=${x%/}
for y in "${x}"/*; do
[ -e "${y}" ] && mylist="${mylist} ${y}"
done
fi
done
echo "${mylist# *}"
}
# bool is_older_than(reference, files/dirs to check)
#
# return 0 if any of the files/dirs are newer than
# the reference file
#
# EXAMPLE: if is_older_than a.out *.o; then ...
is_older_than() {
local x= ref="$1"
shift
for x; do
[ -e "${x}" ] || continue
# We need to check the mtime if it's a directory too as the
# contents may have changed.
[ "${x}" -nt "${ref}" ] && return 0
[ -d "${x}" ] && is_older_than "${ref}" "${x}"/* && return 0
done
return 1
}
uniqify() {
local result=
while [ -n "$1" ]; do
case " ${result} " in
*" $1 "*);;
*) result="${result} $1";;
esac
shift
done
echo "${result# *}"
}
yesno()
{
[ -z "$1" ] && return 1
@ -119,24 +57,6 @@ yesno()
esac
}
KV_to_int() {
[ -z $1 ] && return 1
local x=${1%%-*}
local KV_MAJOR=${x%%.*}
x=${x#*.}
local KV_MINOR=${x%%.*}
x=${x#*.}
local KV_MICRO=${x%%.*}
local KV_int=$((${KV_MAJOR} * 65536 + ${KV_MINOR} * 256 + ${KV_MICRO} ))
# We make version 2.2.0 the minimum version we will handle as
# a sanity check ... if its less, we fail ...
[ "${KV_int}" -lt 131584 ] && return 1
echo "${KV_int}"
}
_sanitize_path() {
local IFS=":" p= path=
for p in ${PATH}; do
@ -151,12 +71,10 @@ _sanitize_path() {
# Allow our scripts to support zsh
if [ -n "${ZSH_VERSION}" ]; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"'
setopt NO_GLOB_SUBST
emulate sh
NULLCMD=:
alias -g '${1+"$@"}'='"$@"'
setopt NO_GLOB_SUBST
fi
# Add our bin to $PATH

View File

@ -1,7 +1,6 @@
#!/bin/sh
# Shell wrapper to list our dependencies
# Copyright 2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,4 +1,3 @@
# Copyright 2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,7 +1,6 @@
#!/bin/sh
# Shell wrapper for runscript
# Copyright 1999-2007 Gentoo Foundation
# Copyright 2007 Roy Marples
# All rights reserved

View File

@ -1,5 +1,4 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Copyright 2007 Roy Marples
# We should strive to keep this Makefile working with the default make
# shipped with the OS's we support. Mainly because I'm lazy and just want

View File

@ -1,5 +1,4 @@
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -1,5 +1,4 @@
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -1,5 +1,4 @@
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -5,7 +5,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -1,5 +1,4 @@
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -1,27 +1,6 @@
/*
* Copyright 2007 Gentoo Foundation
* All rights reserved
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
*
* THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
* OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGE.
* Written by Mike Frysinger
* Placed in the Public Domain
*/
#ifndef _HIDDEN_VISIBILITY_H_

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved
@ -30,8 +29,7 @@
* SUCH DAMAGE.
*/
const char copyright[] = "Copyright (c) 2007 Gentoo Foundation\n"
"Copyright (c) 2007 Roy Marples";
const char copyright[] = "Copyright (c) 2007 Roy Marples";
#include <sys/types.h>
#include <sys/ioctl.h>

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -6,7 +6,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved
@ -30,8 +29,7 @@
* SUCH DAMAGE.
*/
const char copyright[] = "Copyright (c) 2007 Gentoo Foundation\n"
"Copyright (c) 2007 Roy Marples";
const char copyright[] = "Copyright (c) 2007 Roy Marples";
#include "librc.h"

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -5,7 +5,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -1,10 +1,4 @@
/*
rc-logger.h
Copyright 2007 Gentoo Foundation
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

View File

@ -4,7 +4,6 @@
*/
/*
* Copyright 2007 Gentoo Foundation
* Copyright 2007 Roy Marples
* All rights reserved

Some files were not shown because too many files have changed in this diff Show More